ReaderSlice (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, record: ReaderSlice

Package org.apache.lucene.index

# Record Class ReaderSlice

java.lang.Object
java.lang.Record
org.apache.lucene.index.ReaderSlice

Record Components:
  `start` - Document ID this slice starts from.
  `length` - Number of documents in this slice.
  `readerIndex` - Sub-reader index for this slice.

public record ReaderSlice(int start, int length, int readerIndex) extends Record
Subreader slice from a parent composite reader.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReaderSlice(int start, int length, int readerIndex)`
  Creates an instance of a `ReaderSlice` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `length()`
  Returns the value of the `length` record component.
  `int`
  `readerIndex()`
  Returns the value of the `readerIndex` record component.
  `int`
  `start()`
  Returns the value of the `start` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ReaderSlice

    public ReaderSlice(int start, int length, int readerIndex)
    Creates an instance of a `ReaderSlice` record class.
    Parameters:
      `start` - the value for the `start` record component
      `length` - the value for the `length` record component
      `readerIndex` - the value for the `readerIndex` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### start

    public int start()
    Returns the value of the `start` record component.
    Returns:
      the value of the `start` record component

  - ### length

    public int length()
    Returns the value of the `length` record component.
    Returns:
      the value of the `length` record component

  - ### readerIndex

    public int readerIndex()
    Returns the value of the `readerIndex` record component.
    Returns:
      the value of the `readerIndex` record component